require( "scripts/style.lua" );

MinigameFont = {
	oldsansblackFont,
	40,
	Color(0,0,0,255),
};

MinigameBigFont = {
	oldsansblackFont,
	100,
	Color(224,224,124,255),
};

MakeDialog
{
	name="minigamestatus",
--Bitmap
MiniGameStatus
    {
align=kHAlignLeft + kVAlignTop,
        --name="minigamestatus",
		image = "backgrounds/minigame_ranking",
		x=0,
		y=0,
        --SetStyle(ButtonStyle),
        SetStyle( MenuButtonStyle ),
        Button
        {
			--font = StandardButtonFont,
			graphics = MediumButton1Graphics,
			MenuButtonLabel(0, 0, 143, 32, "ok", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
            --close = true,
            flags = 5,
            --label = "ok",
            name = "ok",
            x = kCenter+7,
            y = 659,
            command =
				function()
					StopMusic();
					EnableWindow("ok", false);
					PopModal("minigamestatus");
					SwapToModal("scripts/gamescreen.lua");
				end,
        },
        Text
		{
			font = MinigameFont,
			name = "oktitle",
			x=380, y=100,
			w=300
,h=40,
			flags = kVAlignCenter + kHAlignCenter,
			label= "minigameresult",
		};
		Text
		{
align=kHAlignLeft + kVAlignTop,
			font = MinigameFont,
			name = "timeresult",
			x=380,y=482,
			w=300,h=50,
			flags = kVAlignCenter + kHAlignCenter,
		},
		Text
		{
		align=kHAlignLeft + kVAlignTop,
			font = MinigameBigFont,
			name = "timeresulttimeover",
			x=278,
			y=281,
			w=500,
			h=100,
			label= "#"..TextOutlined("3b2003","4",GetString("minigametimeover")),
			flags = kVAlignCenter + kHAlignCenter,
		},
		Text
		{
		align=kHAlignLeft + kVAlignTop,
			font = MinigameBigFont,
			name = "timeresultcomplete",
			x=278,
			y=281,
			w=500,
			h=100,
			label= "#"..TextOutlined("3b2003","4",GetString("minigamecomplete")),
			flags = kVAlignCenter + kHAlignCenter,
		};
    },
} -- MakeDialog
